List Trials
Retrieve a list of Trial objects.
You can use query parameters to filter, sort, and paginate the results.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by active period.
Returns items active after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&active_after=2025-05-15 12:00:00&active_after=2025-05-15T12:00:00Z
Filter by active period.
Returns items active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
&active_at=2025-05-15 12:00:00&active_at=2025-05-15T12:00:00Z
Filter by active period.
Returns items active before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&active_before=2025-05-15 12:00:00&active_before=2025-05-15T12:00:00Z
Filter by client ID. Can be multiple.
-2147483648 <= x <= 2147483647Filter by client's company name (client's name). Case insensitive. Supports partial matches.
Filter by creation date-time.
Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_after=2025-05-15&created_after=2025-05-15 12:00:00&created_after=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_before=2025-05-15&created_before=2025-05-15 12:00:00&created_before=2025-05-15T12:00:00Z
Number of results to return per page. Maximum is 100. Default is 20.
Filter by active period.
Returns items not active at the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space.
Examples:
¬_active_at=2025-05-15 12:00:00¬_active_at=2025-05-15T12:00:00Z
The initial index from which to return the results.
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
id.asc- Idid.desc- Id (descending)created_at.asc- Created atcreated_at.desc- Created at (descending)client_id.asc- Client idclient_id.desc- Client id (descending)started_at.asc- Started atstarted_at.desc- Started at (descending)ended_at.asc- Ended atended_at.desc- Ended at (descending)plan_name.asc- Plan nameplan_name.desc- Plan name (descending)plan_id.asc- Plan idplan_id.desc- Plan id (descending)product_name.asc- Product nameproduct_name.desc- Product name (descending)product_id.asc- Product idproduct_id.desc- Product id (descending)
client_id.asc, client_id.desc, created_at.asc, created_at.desc, ended_at.asc, ended_at.desc, id.asc, id.desc, plan_id.asc, plan_id.desc, plan_name.asc, plan_name.desc, product_id.asc, product_id.desc, product_name.asc, product_name.desc, started_at.asc, started_at.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering is added except when pk sorting used.
id- Id-id- Id (descending)created_at- Created at-created_at- Created at (descending)client_id- Client id-client_id- Client id (descending)started_at- Started at-started_at- Started at (descending)ended_at- Ended at-ended_at- Ended at (descending)plan_name- Plan name-plan_name- Plan name (descending)plan_id- Plan id-plan_id- Plan id (descending)product_name- Product name-product_name- Product name (descending)product_id- Product id-product_id- Product id (descending)
-client_id, -created_at, -ended_at, -id, -plan_id, -plan_name, -product_id, -product_name, -started_at, client_id, created_at, ended_at, id, plan_id, plan_name, product_id, product_name, started_at Filter by plan ID. Can be multiple.
Filter by plan name. Case insensitive. Supports partial matches.
Filter by product ID. Can be multiple.
Returns products with the specified ID.
Examples:
&product_id=1&product_id=1&product_id=2
Available values:
1- CDN2- Object Storage3- Web Security4- Streaming5- Cloud6- Colocation Services7- WG Private Cloud8- p2p9- DDoS Protection10- Managed DNS11- Other Services12- Premium Support13- Connectivity14- Hosting (G-Hosting)15- Managed Services16- Rent17- Software development18- VM Ware19- LaaS20- AWS Cloud21- FastEdge22- Technical Support23- WAAP25- Edge Proxy32- AI Managed Dedicated Compute65- Gclaw
Filter by product internal name. Can be multiple.
Returns products with the specified internal name.
Examples:
&product_internal_name=CDN&product_internal_name=CDN&product_internal_name=DNS
Available values:
AI_DEDCOMP- AI Managed Dedicated ComputeAWS_CLOUD- AWS CloudCDN- CDNCLOUD- CloudCONNECT- Colocation ServicesCONNECTIVITY- ConnectivityDDOS- Web SecurityDNS- Managed DNSFAST_EDGE- FastEdgeGCLAW- GclawGHOST- Hosting (G-Hosting)INFRASTRUCTURE_PROTECTION- DDoS ProtectionLAAS- LaaSMANAGED_SERVICES- Managed ServicesOTHER_SERVICES- Other ServicesP2P- p2pPREMIUM_SUPPORT- Premium SupportRENT- RentSHIELD_PROXY- Edge ProxySOFTWARE_DEVELOPMENT- Software developmentSTORAGE- Object StorageSTREAMING- StreamingTECHNICAL_SUPPORT- Technical SupportVMWARE- VM WareWAAP- WAAPWG_PRIVATE_CLOUD- WG Private Cloud
Filter by product name. Case insensitive. Supports partial matches.
Filter trials where started_at is null.